R Offer API

Roffer API gives the latest plans and best offer plans for mobile. The mobile roffer check API supports JSON format to display latest packs from operators

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Header Request

Accept : application/json
Content-Type: application/json
secret : Unique secret key (Provided by Pay2New)

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
number StringMMobile Number
product_code StringMMobile Number Operator Code
(Available in Product Code & Circle Code Link])
request_idStringMYour Unique Transaction/Request Id (max length 20)

Sample Request

curl -X POST \
  https://pay2new.in/apis/offer/v1/roffer \
   --header 'Accept: application/json' \
   --header 'content-type: application/json' \
   --header 'secret: qwertyuQWERTY12345asdf' \
   --data '
   { 		"number" : "9876543210",
   			"request_id" :"P2N54544444545",
        "product_code" :"1" 
   }'
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://pay2new.in/apis/offer/v1/roffer",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => "{ \"number\" : \"8600707581\", \"request_id\" : 1662579023, \"product_code\" : 1 }",
  CURLOPT_HTTPHEADER => array(
     "Accept: application/json",
    "content-type: application/json",
    "secret: qwertyuQWERTY12345asdf"
  ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Parameters

NameTypeDescription
statusIntegerTransaction Status
messageStringMessage from API
dataArrayResponse Data (If Present)
rsStringPlan Amount
descStringPlan details

Sample Response

{
    "status": 1,
    "message": "Transaction Successful!",
    "data": [
        {
            "rs": "148",
            "desc": "Rs148=15GB data aapke maujooda pack ki vaidhta tak manya,1 channel ka Free access Airtel Xstream App par 28 din ke liye,TnC."
        },
        {
            "rs": "181",
            "desc": "Rs181=1GB/din data, 30 din ke liye. Benefit maujooda UL pack benefit ke atirikt hai."
        },
        {
            "rs": "98",
            "desc": "Rs98=5GB data maujooda pack ki vaidhta tak manya saath hi Wynk Premium subscription 30 din ke liye."
        },
        {
            "rs": "499",
            "desc": "Rs499=Kharidein Disney+ Hotstar Mobile Subscription 1 saal ke liye, Unlimited call saath hi 2GB/din aur 100SMS/din, 28 din."
        },
        {
            "rs": "479",
            "desc": "Rs479=Unlimited call sabhi network par saath hi 1.5GB/din data aur 100 SMS/din, 56 din ke liye."
        },
        {
            "rs": "299",
            "desc": "Rs299=Unlimited call sabhi network par saath hi 2GB/din data aur 100 SMS/din, 28 din ke liye."
        },
        {
            "rs": "839",
            "desc": "Rs839=Kharidein Disney+ Hotstar Mobile subscription 3 mahine ke liye, Unlimited call, 2GB/din aur 100 SMS/din, 84 din."
        },
        {
            "rs": "2999",
            "desc": "Rs2999=Unlimited call sabhi network par saath hi 2GB/din data aur 100 SMS/din, 365 din ke liye."
        }
    ]
}
Body Params
json
Defaults to { "number" : "8686868686", "request_id" : P2N54544444545, "product_code" : 1 }'
Headers
string

(Provided by Pay2New)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json